Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.jsonp.client
Class JsonpRequest<T>

    java.lang.Object
      com.google.gwt.jsonp.client.JsonpRequest<T>

Type Parameters:
  `T` - the type of the response object.

    public class JsonpRequest<T>

extends java.lang.Object

A JSONP request that is waiting for a response. The request can be canceled.

Method Summary
`void` | `cancel()` Cancels a pending request.
`AsyncCallback<T>` | `getCallback()`
`int` | `getTimeout()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### cancel

    public void cancel()

  Cancels a pending request. Note that if you are using preset ID's, this will not work, since there is no way of knowing if there are other requests pending (or have already returned) for the same data.

### getCallback

    public AsyncCallback<T> getCallback()

### getTimeout

    public int getTimeout()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD